<?php
/**
 * This file aims to show you how to use this generated package.
 * In addition, the goal is to show which methods are available and the first needed parameter(s)
 * You have to use an associative array such as:
 * - the key must be a constant beginning with WSDL_ from AbstractSoapClientBase class (each generated ServiceType class extends this class)
 * - the value must be the corresponding key value (each option matches a {@link http://www.php.net/manual/en/soapclient.soapclient.php} option)
 * $options = array(
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_URL => 'main.wsdl',
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_TRACE => true,
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_LOGIN => 'you_secret_login',
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_PASSWORD => 'you_secret_password',
 * );
 * etc...
 */
require_once __DIR__ . '/vendor/autoload.php';
/**
 * Minimal options
 */
$options = array(
    \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_URL => 'main.wsdl',
    \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_CLASSMAP => \RecruitCrm\LogicMelon\ClassMap::get(),
);
/**
 * Samples for Get ServiceType
 */
$get = new \RecruitCrm\LogicMelon\ServiceType\Get($options);
/**
 * Sample call for GetApplicationsPaged operation/method
 */
if ($get->GetApplicationsPaged(new \RecruitCrm\LogicMelon\StructType\GetApplicationsPaged()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetApplications operation/method
 */
if ($get->GetApplications(new \RecruitCrm\LogicMelon\StructType\GetApplications()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetApplicationsWithFiltersPaged operation/method
 */
if ($get->GetApplicationsWithFiltersPaged(new \RecruitCrm\LogicMelon\StructType\GetApplicationsWithFiltersPaged()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetApplicationsWithFilters operation/method
 */
if ($get->GetApplicationsWithFilters(new \RecruitCrm\LogicMelon\StructType\GetApplicationsWithFilters()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetAdvertPaged operation/method
 */
if ($get->GetAdvertPaged(new \RecruitCrm\LogicMelon\StructType\GetAdvertPaged()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetAdvert operation/method
 */
if ($get->GetAdvert(new \RecruitCrm\LogicMelon\StructType\GetAdvert()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetAdvertWithFiltersPaged operation/method
 */
if ($get->GetAdvertWithFiltersPaged(new \RecruitCrm\LogicMelon\StructType\GetAdvertWithFiltersPaged()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetAdvertWithFilters operation/method
 */
if ($get->GetAdvertWithFilters(new \RecruitCrm\LogicMelon\StructType\GetAdvertWithFilters()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetAdvertWithValues operation/method
 */
if ($get->GetAdvertWithValues(new \RecruitCrm\LogicMelon\StructType\GetAdvertWithValues()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetAdvertWithValuesPaged operation/method
 */
if ($get->GetAdvertWithValuesPaged(new \RecruitCrm\LogicMelon\StructType\GetAdvertWithValuesPaged()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetAdvertWithValuesWithFilters operation/method
 */
if ($get->GetAdvertWithValuesWithFilters(new \RecruitCrm\LogicMelon\StructType\GetAdvertWithValuesWithFilters()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetAdvertWithValuesWithFiltersPaged operation/method
 */
if ($get->GetAdvertWithValuesWithFiltersPaged(new \RecruitCrm\LogicMelon\StructType\GetAdvertWithValuesWithFiltersPaged()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetLiveAdvertPostings operation/method
 */
if ($get->GetLiveAdvertPostings(new \RecruitCrm\LogicMelon\StructType\GetLiveAdvertPostings()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetLiveAdvertPostingsPaged operation/method
 */
if ($get->GetLiveAdvertPostingsPaged(new \RecruitCrm\LogicMelon\StructType\GetLiveAdvertPostingsPaged()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetValues operation/method
 */
if ($get->GetValues(new \RecruitCrm\LogicMelon\StructType\GetValues()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetCurrency operation/method
 */
if ($get->GetCurrency(new \RecruitCrm\LogicMelon\StructType\GetCurrency()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for GetLoginURL operation/method
 */
if ($get->GetLoginURL(new \RecruitCrm\LogicMelon\StructType\GetLoginURL()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Samples for Track ServiceType
 */
$track = new \RecruitCrm\LogicMelon\ServiceType\Track($options);
/**
 * Sample call for TrackAdvert operation/method
 */
if ($track->TrackAdvert(new \RecruitCrm\LogicMelon\StructType\TrackAdvert()) !== false) {
    print_r($track->getResult());
} else {
    print_r($track->getLastError());
}
/**
 * Sample call for TrackAdvertWithFilters operation/method
 */
if ($track->TrackAdvertWithFilters(new \RecruitCrm\LogicMelon\StructType\TrackAdvertWithFilters()) !== false) {
    print_r($track->getResult());
} else {
    print_r($track->getLastError());
}
/**
 * Sample call for TrackAdvertWithFiltersPaged operation/method
 */
if ($track->TrackAdvertWithFiltersPaged(new \RecruitCrm\LogicMelon\StructType\TrackAdvertWithFiltersPaged()) !== false) {
    print_r($track->getResult());
} else {
    print_r($track->getLastError());
}
/**
 * Samples for Close ServiceType
 */
$close = new \RecruitCrm\LogicMelon\ServiceType\Close($options);
/**
 * Sample call for CloseAdvert operation/method
 */
if ($close->CloseAdvert(new \RecruitCrm\LogicMelon\StructType\CloseAdvert()) !== false) {
    print_r($close->getResult());
} else {
    print_r($close->getLastError());
}
/**
 * Sample call for CloseAdvertWithFilters operation/method
 */
if ($close->CloseAdvertWithFilters(new \RecruitCrm\LogicMelon\StructType\CloseAdvertWithFilters()) !== false) {
    print_r($close->getResult());
} else {
    print_r($close->getLastError());
}
/**
 * Samples for Archive ServiceType
 */
$archive = new \RecruitCrm\LogicMelon\ServiceType\Archive($options);
/**
 * Sample call for ArchiveAdvert operation/method
 */
if ($archive->ArchiveAdvert(new \RecruitCrm\LogicMelon\StructType\ArchiveAdvert()) !== false) {
    print_r($archive->getResult());
} else {
    print_r($archive->getLastError());
}
/**
 * Sample call for ArchiveAdvertWithFilters operation/method
 */
if ($archive->ArchiveAdvertWithFilters(new \RecruitCrm\LogicMelon\StructType\ArchiveAdvertWithFilters()) !== false) {
    print_r($archive->getResult());
} else {
    print_r($archive->getLastError());
}
/**
 * Samples for Unarchive ServiceType
 */
$unarchive = new \RecruitCrm\LogicMelon\ServiceType\Unarchive($options);
/**
 * Sample call for UnarchiveAdvert operation/method
 */
if ($unarchive->UnarchiveAdvert(new \RecruitCrm\LogicMelon\StructType\UnarchiveAdvert()) !== false) {
    print_r($unarchive->getResult());
} else {
    print_r($unarchive->getLastError());
}
/**
 * Sample call for UnarchiveAdvertWithFilters operation/method
 */
if ($unarchive->UnarchiveAdvertWithFilters(new \RecruitCrm\LogicMelon\StructType\UnarchiveAdvertWithFilters()) !== false) {
    print_r($unarchive->getResult());
} else {
    print_r($unarchive->getLastError());
}
/**
 * Samples for Add ServiceType
 */
$add = new \RecruitCrm\LogicMelon\ServiceType\Add($options);
/**
 * Sample call for AddAdvert operation/method
 */
if ($add->AddAdvert(new \RecruitCrm\LogicMelon\StructType\AddAdvert()) !== false) {
    print_r($add->getResult());
} else {
    print_r($add->getLastError());
}
/**
 * Sample call for AddAdvertWithValues operation/method
 */
if ($add->AddAdvertWithValues(new \RecruitCrm\LogicMelon\StructType\AddAdvertWithValues()) !== false) {
    print_r($add->getResult());
} else {
    print_r($add->getLastError());
}
/**
 * Sample call for AddAdvertValues operation/method
 */
if ($add->AddAdvertValues(new \RecruitCrm\LogicMelon\StructType\AddAdvertValues()) !== false) {
    print_r($add->getResult());
} else {
    print_r($add->getLastError());
}
/**
 * Sample call for AddAdvertCandidate operation/method
 */
if ($add->AddAdvertCandidate(new \RecruitCrm\LogicMelon\StructType\AddAdvertCandidate()) !== false) {
    print_r($add->getResult());
} else {
    print_r($add->getLastError());
}
/**
 * Sample call for AddAdvertCandidateWithDocument operation/method
 */
if ($add->AddAdvertCandidateWithDocument(new \RecruitCrm\LogicMelon\StructType\AddAdvertCandidateWithDocument()) !== false) {
    print_r($add->getResult());
} else {
    print_r($add->getLastError());
}
/**
 * Sample call for AddAdvertCandidateWithFilters operation/method
 */
if ($add->AddAdvertCandidateWithFilters(new \RecruitCrm\LogicMelon\StructType\AddAdvertCandidateWithFilters()) !== false) {
    print_r($add->getResult());
} else {
    print_r($add->getLastError());
}
/**
 * Samples for Validate ServiceType
 */
$validate = new \RecruitCrm\LogicMelon\ServiceType\Validate($options);
/**
 * Sample call for ValidateAdvertValues operation/method
 */
if ($validate->ValidateAdvertValues(new \RecruitCrm\LogicMelon\StructType\ValidateAdvertValues()) !== false) {
    print_r($validate->getResult());
} else {
    print_r($validate->getLastError());
}
/**
 * Samples for Deliver ServiceType
 */
$deliver = new \RecruitCrm\LogicMelon\ServiceType\Deliver($options);
/**
 * Sample call for DeliverAdvert operation/method
 */
if ($deliver->DeliverAdvert(new \RecruitCrm\LogicMelon\StructType\DeliverAdvert()) !== false) {
    print_r($deliver->getResult());
} else {
    print_r($deliver->getLastError());
}
/**
 * Samples for User ServiceType
 */
$user = new \RecruitCrm\LogicMelon\ServiceType\User($options);
/**
 * Sample call for UserFeedsAndQuota operation/method
 */
if ($user->UserFeedsAndQuota(new \RecruitCrm\LogicMelon\StructType\UserFeedsAndQuota()) !== false) {
    print_r($user->getResult());
} else {
    print_r($user->getLastError());
}
/**
 * Sample call for UserFeedsAndQuotaWithDestinations operation/method
 */
if ($user->UserFeedsAndQuotaWithDestinations(new \RecruitCrm\LogicMelon\StructType\UserFeedsAndQuotaWithDestinations()) !== false) {
    print_r($user->getResult());
} else {
    print_r($user->getLastError());
}
/**
 * Samples for Express ServiceType
 */
$express = new \RecruitCrm\LogicMelon\ServiceType\Express($options);
/**
 * Sample call for ExpressPostAdvert operation/method
 */
if ($express->ExpressPostAdvert(new \RecruitCrm\LogicMelon\StructType\ExpressPostAdvert()) !== false) {
    print_r($express->getResult());
} else {
    print_r($express->getLastError());
}
/**
 * Sample call for ExpressPostAdvertWithFilters operation/method
 */
if ($express->ExpressPostAdvertWithFilters(new \RecruitCrm\LogicMelon\StructType\ExpressPostAdvertWithFilters()) !== false) {
    print_r($express->getResult());
} else {
    print_r($express->getLastError());
}
/**
 * Samples for Query ServiceType
 */
$query = new \RecruitCrm\LogicMelon\ServiceType\Query($options);
/**
 * Sample call for QueryLocations operation/method
 */
if ($query->QueryLocations(new \RecruitCrm\LogicMelon\StructType\QueryLocations()) !== false) {
    print_r($query->getResult());
} else {
    print_r($query->getLastError());
}
/**
 * Sample call for QueryJobTitle operation/method
 */
if ($query->QueryJobTitle(new \RecruitCrm\LogicMelon\StructType\QueryJobTitle()) !== false) {
    print_r($query->getResult());
} else {
    print_r($query->getLastError());
}
/**
 * Samples for Candidate ServiceType
 */
$candidate = new \RecruitCrm\LogicMelon\ServiceType\Candidate($options);
/**
 * Sample call for CandidateTag operation/method
 */
if ($candidate->CandidateTag(new \RecruitCrm\LogicMelon\StructType\CandidateTag()) !== false) {
    print_r($candidate->getResult());
} else {
    print_r($candidate->getLastError());
}
/**
 * Sample call for CandidateTagPeoplEd operation/method
 */
if ($candidate->CandidateTagPeoplEd(new \RecruitCrm\LogicMelon\StructType\CandidateTagPeoplEd()) !== false) {
    print_r($candidate->getResult());
} else {
    print_r($candidate->getLastError());
}
/**
 * Samples for Application ServiceType
 */
$application = new \RecruitCrm\LogicMelon\ServiceType\Application($options);
/**
 * Sample call for ApplicationScore operation/method
 */
if ($application->ApplicationScore(new \RecruitCrm\LogicMelon\StructType\ApplicationScore()) !== false) {
    print_r($application->getResult());
} else {
    print_r($application->getLastError());
}
/**
 * Sample call for ApplicationProgress operation/method
 */
if ($application->ApplicationProgress(new \RecruitCrm\LogicMelon\StructType\ApplicationProgress()) !== false) {
    print_r($application->getResult());
} else {
    print_r($application->getLastError());
}
